<template>
  <div>
    <h1 class="mb-6">Have you had a physical exam in the past 3 years?</h1>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        v-model="selected"
        :input-value="choice"
      >
        {{ choice }}
      </radio-input>
    </div>
    <CommonBtn
      text="Next"
      :disabled="!selected"
      @click="handleClick"
    />
  </div>
</template>

<script>
import {answersMixin, referMixin} from "@/utils/mixins";
import RadioInput from "@/components/inputs/RadioInput";
import CommonBtn from "@/components/common/CommonBtn";

const NORMAL = 'Yes, and it was normal'
const WITH_ISSUES = 'Yes, but there were issues'
const NO = 'No, I haven\'t had a physical exam in the past 3 years'

export default {
  components: {CommonBtn, RadioInput},
  mixins: [answersMixin, referMixin],
  name: "YourHealth11",
  watch: {
    selected(newVal) {
      this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_11')
    }
  },
  data() {
    return {
      selected: null,
      choices: [
        NORMAL,
        WITH_ISSUES,
        NO,
      ]
    }
  },
  methods: {
    handleClick() {
      if (this.selected === NO) {
        this.setRefer('We’ve hit a minor road bump:', 'Because it’s been more than three years since your last physical exam, we cannot consider you for prescription ED medication at this time. A physical exam may uncover underlying health issues that could dictate your treatment. Please try again after getting a physical. ')
      } else if (this.selected === NORMAL) {
        this.$emit('goTo', 13)
      } else {
        this.this.$emit('nextStage')
      }
    }
  }
}
</script>

<style scoped>

</style>
